Page MenuHomePhabricator

Database error when paginating through results at Special:PageAssessments
Closed, ResolvedPublic1 Story Points

Description

If you try to go to a 2nd page of results at Special:PageAssessments, it gives you a database error:

A database query error has occurred. This may indicate a bug in the software.[WEoJEApAADkAAF6J4cgAAAAR] 2016-12-09 01:29:52: Fatal exception of type "DBQueryError"

It looks like this is probably due to the offset not being properly set, as the URL looks like:
https://en.wikipedia.org/w/index.php?title=Special:PageAssessments&offset=Spiders&project=Spiders&namespace=all&page_title=

Details

Related Gerrit Patches:

Event Timeline

kaldari created this task.Dec 9 2016, 2:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 9 2016, 2:02 AM
kaldari triaged this task as High priority.Dec 9 2016, 2:02 AM
kaldari set the point value for this task to 1.
Samwilson moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 326389 had a related patch set uploaded (by Samwilson):
Switch special page to be a QueryPage rather than using an IndexPager

https://gerrit.wikimedia.org/r/326389

Change 326389 merged by jenkins-bot:
Switch special page to be a QueryPage rather than using an IndexPager

https://gerrit.wikimedia.org/r/326389

kaldari closed this task as Resolved.Dec 13 2016, 12:34 AM
kaldari moved this task from In Development to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Dec 20 2016, 9:36 PM